{
  "name": "untitled1",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "start": "node ./bin/www",
    "test": "jest --coverage",
    "coveragelocal": "jest --collectCoverage",
    "coverage": "jest --coverage"
  },
  "dependencies": {
    "@commitlint/config-conventional": "^11.0.0",
    "bcrypt": "^5.0.0",
    "body-parser": "^1.19.0",
    "chai": "^4.2.0",
    "chai-http": "^4.3.0",
    "commitlint": "^9.1.2",
    "cookie-parser": "~1.4.4",
    "cors": "^2.8.5",
    "dateformat": "^3.0.3",
    "debug": "~2.6.9",
    "dotenv": "^8.2.0",
    "dotenv-flow": "^3.2.0",
    "ejs": "^2.6.2",
    "express": "~4.16.1",
    "http-errors": "~1.6.3",
    "husky": "^4.3.0",
    "mariadb": "^2.5.1",
    "mocha": "^8.1.3",
    "moment": "^2.29.1",
    "morgan": "~1.9.1",
    "sequelize": "^6.3.3",
    "swagger-jsdoc": "^4.0.0",
    "swagger-ui-express": "^4.1.4",
    "validate-branch-name": "^1.0.6",
    "winston": "^3.3.3"
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ]
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-push": "validate-branch-name"
    }
  },
  "validate-branch-name": {
    "pattern": "^(master|develop){1}$|^(feature|fix|hotfix|release)/.+$",
    "errorMsg": "Branch has to start with feature/, fix/, release/ or hotfix/",
    "nyc": "^15.1.0",
    "sequelize": "^6.3.3",
    "supertest": "^4.0.2",
    "swagger-ui-express": "^4.1.4"
  },
  "devDependencies": {
    "axios": "^0.20.0",
    "jest": "^26.6.3",
    "sequelize-mock": "^0.10.2"
  },
  "jest": {},
  "nyc": {
    "exclude": [
      "views/",
      "models/",
      "config/",
      "logs/",
      "tests/"
    ]
  }
}
